Edit Sub-Account API Key
curl --request POST \
--url https://whitebit.com/api/v4/sub-account/api-key/edit \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"apiKeyId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"title": "Trading Bot Key",
"urls": [
{
"url": "/api/v4/main-account/withdraw",
"enable": false
},
{
"url": "/api/v4/main-account/balance",
"enable": true
}
]
}
'import requests
url = "https://whitebit.com/api/v4/sub-account/api-key/edit"
payload = {
"apiKeyId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"title": "Trading Bot Key",
"urls": [
{
"url": "/api/v4/main-account/withdraw",
"enable": False
},
{
"url": "/api/v4/main-account/balance",
"enable": True
}
]
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
apiKeyId: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890',
title: 'Trading Bot Key',
urls: [
{url: '/api/v4/main-account/withdraw', enable: false},
{url: '/api/v4/main-account/balance', enable: true}
]
})
};
fetch('https://whitebit.com/api/v4/sub-account/api-key/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": 123,
"message": "<string>",
"errors": {}
}Edit Sub-Account API Key
Update the permissions or settings of a sub-account API key via the WhiteBIT V4 API.
Edit Sub-Account API Key
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Response
API key updated successfully
The response is of type object.
Was this page helpful?
⌘I